Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2705 closed defect (wontfix)

MMC card FAT32 fs ,single block write OK but muti-block fail

Reported by: yedongyue Owned by: Needs Funding
Priority: normal Milestone: Indefinite
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

add mmc card FAT32 FS support in mips architecture ,when I set CONFIGURE_BDBUF_MAX_WRITE_BLOCKS=1 ,then create a new file which will used in a linux OS in mounted mmc card fat32 fs.when i mount the mmc card with the new file in linux OS,the new file data is OK. But if set CONFIGURE_BDBUF_MAX_WRITE_BLOCKS=2 or more ,when i use the new file in linux OS,
it report following print
$/tmp # cp test.h264 /mnt/
[ 19.015821] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)
[ 19.024455] FAT-fs (mmcblk0p1): Filesystem has been set read-only
[ 19.030831] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)
[ 19.039442] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)
[ 19.048041] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)
[ 19.056635] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)
[ 19.065228] FAT-fs (mmcblk0p1): error, fat_bmap_cluster: request beyond EOF (i_pos 471971)

it seems that the fat tab is damaged,could you tell me how to debug this and how to config the fat fs,about CONFIGURE_BDBUF_TASK_STACK_SIZE 、CONFIGURE_BDBUF_CACHE_MEMORY_SIZE etc。Thanks

Attachments (2)

mmc-sd-card.c (31.4 KB) - added by yedongyue on 05/11/16 at 09:55:34.
the main c file
mmc_write.c (4.7 KB) - added by yedongyue on 05/11/16 at 09:55:58.

Download all attachments as: .zip

Change History (6)

Changed on 05/11/16 at 09:55:34 by yedongyue

Attachment: mmc-sd-card.c added

the main c file

Changed on 05/11/16 at 09:55:58 by yedongyue

Attachment: mmc_write.c added

comment:1 Changed on 01/26/17 at 07:16:00 by Sebastian Huber

Milestone: 4.11.14.11.2

comment:2 Changed on 02/15/17 at 13:37:51 by Sebastian Huber

Milestone: 4.11.2Indefinite
Owner: set to Needs Funding
Status: newassigned

comment:3 Changed on 08/24/17 at 08:12:50 by Sebastian Huber

Resolution: wontfix
Status: assignedclosed

This bug is to specific to get fixed by one of the RTEMS project. You can fix this yourself with the help of the RTEMS mailing lists or use commercial RTEMS support.

comment:4 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.